package dev.shadowsoffire.apotheosis.mixin;

package .tmp;

import dev.shadowsoffire.apotheosis.Apotheosis;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.TridentItem;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.item.enchantment.Enchantments;
import org.spongepowered.asm.mixin.Mixin;

@Mixin({TridentItem.class})
public abstract class TridentItemMixin extends Item {
  public TridentItemMixin(Item.Properties pProperties) {
    super(pProperties);
  }
  
  public boolean canApplyAtEnchantingTable(ItemStack stack, Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return super.canApplyAtEnchantingTable(stack, ench); 
    return (super.canApplyAtEnchantingTable(stack, ench) || ench == Enchantments.f_44977_ || ench == Enchantments.f_44982_ || ench == Enchantments.f_44961_);
  }
}
